# Распределённое приложение для поиска файлов и обработки чисел
## Описаниe
Данное распределённое приложение состоит из двух консольных Java-приложений, которые работают в контейнерах Docker. Приложения выполняют следующие задачи:

### file-finder:   
Ищет самый большой файл в директории /var/data и копирует его в /var/result/data.txt.
### number-processor: 
Считывает числа из файла /var/result/data.txt и сохраняет произведение первого и последнего числа в файл /var/result/result.txt.

#### Приложения работают совместно через Docker Compose, используя общий том для передачи файлов между контейнерами.

### Как запустить
1. #### Подготовка данных  
   Убедитесь, что в директории data находятся файлы, которые вы хотите обработать. Это могут быть текстовые файлы с числами.

2. #### Сборка и запуск контейнеров
   Выполните команду для сборки и запуска контейнеров с помощью Docker Compose: docker-compose up --build

3. #### Результаты выполнения
   #### Приложение file-finder находит самый большой файл в директории /var/data (локально это монтируемая директория data/) и копирует его в файл /var/result/data.txt.  
   #### Приложение number-processor читает файл /var/result/data.txt и сохраняет произведение первого и последнего числа в файл /var/result/result.txt.

#### Ссылка на видео https://drive.google.com/file/d/1u7nwZdUI4KHC4NzUAXdOABflYswokGwx/view